# Uses of Class
com.usatiuk.dhfs.repository.OpPushRequest

Packages that use OpPushRequest
Package
Description
com.usatiuk.dhfs.repository
com.usatiuk.dhfs.rpc

## Uses of OpPushRequest in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return OpPushRequest
Modifier and Type
Method
Description
`OpPushRequest`
OpPushRequest.Builder.`build()`
`OpPushRequest`
OpPushRequest.Builder.`buildPartial()`
`static OpPushRequest`
OpPushRequest.`getDefaultInstance()`
`OpPushRequest`
OpPushRequest.Builder.`getDefaultInstanceForType()`
`OpPushRequest`
OpPushRequest.`getDefaultInstanceForType()`
`static OpPushRequest`
OpPushRequest.`parseDelimitedFrom(InputStream input)`
`static OpPushRequest`
OpPushRequest.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushRequest`
OpPushRequest.`parseFrom(byte[] data)`
`static OpPushRequest`
OpPushRequest.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushRequest`
OpPushRequest.`parseFrom(com.google.protobuf.ByteString data)`
`static OpPushRequest`
OpPushRequest.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushRequest`
OpPushRequest.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static OpPushRequest`
OpPushRequest.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushRequest`
OpPushRequest.`parseFrom(InputStream input)`
`static OpPushRequest`
OpPushRequest.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static OpPushRequest`
OpPushRequest.`parseFrom(ByteBuffer data)`
`static OpPushRequest`
OpPushRequest.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type OpPushRequest
Modifier and Type
Method
Description
`static io.grpc.MethodDescriptor<OpPushRequest,OpPushReply>`
DhfsObjectSyncGrpcGrpc.`getOpPushMethod()`
`com.google.protobuf.Parser<OpPushRequest>`
OpPushRequest.`getParserForType()`
`static com.google.protobuf.Parser<OpPushRequest>`
OpPushRequest.`parser()`
Methods in com.usatiuk.dhfs.repository with parameters of type OpPushRequest
Modifier and Type
Method
Description
`OpPushRequest.Builder`
OpPushRequest.Builder.`mergeFrom(OpPushRequest other)`
`static OpPushRequest.Builder`
OpPushRequest.`newBuilder(OpPushRequest prototype)`
`io.smallrye.mutiny.Uni<OpPushReply>`
DhfsObjectSyncGrpc.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
DhfsObjectSyncGrpcBean.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
DhfsObjectSyncGrpcClient.`opPush(OpPushRequest request)`
`default void`
DhfsObjectSyncGrpcGrpc.AsyncService.`opPush(OpPushRequest request, io.grpc.stub.StreamObserver<OpPushReply> responseObserver)`
`OpPushReply`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub.`opPush(OpPushRequest request)`
`com.google.common.util.concurrent.ListenableFuture<OpPushReply>`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub.`opPush(OpPushRequest request)`
`void`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub.`opPush(OpPushRequest request, io.grpc.stub.StreamObserver<OpPushReply> responseObserver)`
`io.smallrye.mutiny.Uni<OpPushReply>`
MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub.`opPush(OpPushRequest request)`

## Uses of OpPushRequest in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc with parameters of type OpPushRequest
Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<OpPushReply>`
RemoteObjectServiceServer.`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
RemoteObjectServiceServerImpl.`opPush(PeerId from, OpPushRequest request)`